@import "styles/constants";

.btnForm {
  -webkit-tap-highlight-color: transparent;
  position: relative;
  max-width: 300px;
  width: 100%;
  height: 56px;
  font-size: 18px;
  border-radius: 4px;
  border: 1px solid transparent;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: all .25s;
  cursor: pointer;
  outline: none;
  user-select: none;

  &::-moz-focus-inner {
    padding-top: 8px;
    border: 0;
  }

  &.disableHover {
    &:hover {
      background-color: $bgcolor-red;
      color: $white;
    }
  }
  @media screen and (max-width: $width-mob) {
    max-width: 100%;
    height: 48px;
    font-size: 16px;
    padding: 0 5px 3px;
  }
}

.underlineStyle {
  @extend .btnForm;

  color: #fe0000;
  background-color: transparent;
  border: 1px solid #fe0000;



  &:hover {
    background-color: $bgcolor-red;
    color: $white;
    cursor: pointer;
  }
}

.redBtn {
  @extend .btnForm;
  color: #fff;
  background-color: $bgcolor-red;

  &:hover {
    background-color: transparent;
    border-color: $bgcolor-red;
    color: $bgcolor-red;
  }

  @media(max-width: $width-mobile) {
    max-width: 370px;
  }
}
